import * as Yup from "yup";
import i18n from "../../i18n";

export default Yup.object().shape({
  phoneNumber: Yup.number().required(i18n.t("login.usernameRequired")),
  location: Yup.string().required(i18n.t("login.passwordRequired")),
  website: Yup.string().matches(
    /^((ftp|http|https):\/\/)?(www.)?(?!.*(ftp|http|https|www.))[a-zA-Z0-9_-]+(\.[a-zA-Z]+)+((\/)[\w#]+)*(\/\w+\?[a-zA-Z0-9_]+=\w+(&[a-zA-Z0-9_]+=\w+)*)?$/gm
  ),
});
